Show / Hide Table of Contents

# Class PruneAuditLogData

Contains a piece of audit log data related to a guild prune.

##### Inheritance

System.Object
PruneAuditLogData

##### Implements

IAuditLogData

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Discord.Rest

###### Assembly: Discord.Net.Rest.dll

##### Syntax

    public class PruneAuditLogData : IAuditLogData

### Properties

| Improve this Doc View Source

#### MembersRemoved

Gets the number of members that were kicked during the purge.

##### Declaration

    public int MembersRemoved { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 | An System.Int32 representing the number of members that were removed from this guild for having not been seen within .

| Improve this Doc View Source

#### PruneDays

Gets the threshold for a guild member to not be kicked.

##### Declaration

    public int PruneDays { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 | An System.Int32 representing the amount of days that a member must have been seen in the server, to avoid being kicked. (i.e. If a user has not been seen for more than , they will be kicked from the server)

### Implements

IAuditLogData